> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Active Staking Configuration

> Returns the org's current staking configuration, or isValid=false when none is active.

Not available to API keys yet. It will need `grants:read`.

## OpenAPI

````yaml api-reference/openapi.json GET /tga/get-active-staking-configuration
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/get-active-staking-configuration:
    get:
      operationId: getActiveStakingConfiguration
      summary: Get Active Staking Configuration
      description: >-
        Returns the org's current staking configuration, or isValid=false when
        none is active.


        Not available to API keys yet. It will need `grants:read`.
      parameters:
        - name: orgID
          in: query
          required: false
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetActiveStakingConfigurationResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetActiveStakingConfigurationResponse:
      type: object
      properties:
        isValid:
          type: boolean
        activeStakingConfig:
          type:
            - object
            - 'null'
          properties:
            stakingConfigurationID:
              type: string
            orgID:
              type: string
            maxStakePercentage:
              type: string
              pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
            bufferPeriod:
              type: integer
            cooldownPeriod:
              type: integer
            versionNumber:
              type: integer
            createdAt:
              type: string
            updatedAt:
              type: string
            isCurrent:
              type: boolean
            stakingTypesEnabled:
              type: array
              items:
                type: string
                enum:
                  - UNVESTED_LOCKED_TOKENS
                  - UNVESTED_UNLOCKED_TOKENS
                  - VESTED_LOCKED_TOKENS
          required:
            - stakingConfigurationID
            - orgID
            - maxStakePercentage
            - bufferPeriod
            - cooldownPeriod
            - versionNumber
            - createdAt
            - updatedAt
            - isCurrent
            - stakingTypesEnabled
        message:
          type: string
      required:
        - isValid
        - message
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
